Last Comment Bug 345657 - Syncronize cmd= and cmd+
: Syncronize cmd= and cmd+
Status: RESOLVED FIXED
:
Product: Camino Graveyard
Classification: Graveyard
Component: Toolbars & Menus (show other bugs)
: Trunk
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on: 181712
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-23 13:21 PDT by froodian (Ian Leue)
Modified: 2006-09-11 20:57 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.46 KB, patch)
2006-07-23 13:32 PDT, froodian (Ian Leue)
no flags Details | Diff | Splinter Review
Moves logic to BWC methods (6.13 KB, patch)
2006-07-27 15:22 PDT, froodian (Ian Leue)
no flags Details | Diff | Splinter Review

Description User image froodian (Ian Leue) 2006-07-23 13:21:00 PDT
Right now both cmd= and cmd+ make text bigger, but they aren't validated the same way.  For instance:

1. Load about:blank
2. cmd= (beeps)
3. cmd+ (makes "text" bigger)
4. load another page

What happens: text is bigger.
Comment 1 User image froodian (Ian Leue) 2006-07-23 13:32:43 PDT
Created attachment 230365 [details] [diff] [review]
Patch

Synchronizes to match what cmd='s validation requirements will be once bug 327966 lands.
Comment 2 User image Stuart Morgan 2006-07-27 08:21:21 PDT
Why not move this logic to a BWC method, rather than keeping it around in 3 places (almost guaranteeing that it will get out of sync again at some point)?
Comment 3 User image froodian (Ian Leue) 2006-07-27 15:22:28 PDT
Created attachment 231007 [details] [diff] [review]
Moves logic to BWC methods

(In reply to comment #2)
> Why not move this logic to a BWC method, rather than keeping it around in 3
> places (almost guaranteeing that it will get out of sync again at some point)?
> 

Sigh.  Because I'll bitrot my default text size patch, of course! ;)
Comment 4 User image froodian (Ian Leue) 2006-07-27 17:27:03 PDT
Comment on attachment 231007 [details] [diff] [review]
Moves logic to BWC methods

The fix for this is in bug 181712
Comment 5 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-08-13 23:23:14 PDT
Fixing up the deps; the latest version of that patch still has this fix, right?
Comment 6 User image froodian (Ian Leue) 2006-08-14 12:28:47 PDT
Yes.
Comment 7 User image froodian (Ian Leue) 2006-09-11 20:57:37 PDT
Fixed by bug 181712

Note You need to log in before you can comment on or make changes to this bug.